# arm_shift_q31.c File Reference

CMSIS-DSP: arm_shift_q31.c File Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_shift_q31.c File Reference

## Functions

void | arm_shift_q31 (const q31_t *pSrc, int8_t shiftBits, q31_t *pDst, uint32_t blockSize)
| Shifts the elements of a Q31 vector a specified number of bits. More...